List payment intents
curl --request GET \
--url https://api.natural.com/payment-intents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/payment-intents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/payment-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/payment-intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/payment-intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/payment-intents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/payment-intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7",
"type": "paymentIntent",
"attributes": {
"amount": 3920,
"currency": "USD",
"description": "Order 8842",
"status": "completed",
"payUrl": null,
"clientSecret": null,
"taxMode": "exclusive",
"taxAmount": 320,
"lineItems": [
{
"id": "pli_019d0a1b2c3d4e5f60718293a4b5c6e1",
"position": 0,
"referenceId": "menu_item_31",
"description": "Margherita pizza",
"quantity": 2,
"unitAmount": 1800,
"taxAmount": 320,
"taxCode": "prepared_food",
"subtotalAmount": 3600,
"totalAmount": 3920
}
],
"expiresAt": null,
"canceledAt": null,
"createdAt": "2026-09-17T18:00:00.000Z",
"updatedAt": "2026-09-17T18:05:00.000Z"
},
"relationships": {
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d627ad9bc302511c4f2c115"
}
},
"cardPayment": {
"data": {
"type": "cardPayment",
"id": "cpy_019d0a1b2c3d4e5f60718293a4b5c6d8"
}
},
"voiceSession": {
"data": null
}
}
}
],
"meta": {
"pagination": {
"hasMore": false,
"nextCursor": null
}
}
}Payment Intents
List payment intents
List payment intents that pay your party, newest first. With cursor, send the same filters as the first page, or the call fails with 400. Returns a page of Payment Intent objects.
GET
/
payment-intents
List payment intents
curl --request GET \
--url https://api.natural.com/payment-intents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/payment-intents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/payment-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/payment-intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/payment-intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/payment-intents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/payment-intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7",
"type": "paymentIntent",
"attributes": {
"amount": 3920,
"currency": "USD",
"description": "Order 8842",
"status": "completed",
"payUrl": null,
"clientSecret": null,
"taxMode": "exclusive",
"taxAmount": 320,
"lineItems": [
{
"id": "pli_019d0a1b2c3d4e5f60718293a4b5c6e1",
"position": 0,
"referenceId": "menu_item_31",
"description": "Margherita pizza",
"quantity": 2,
"unitAmount": 1800,
"taxAmount": 320,
"taxCode": "prepared_food",
"subtotalAmount": 3600,
"totalAmount": 3920
}
],
"expiresAt": null,
"canceledAt": null,
"createdAt": "2026-09-17T18:00:00.000Z",
"updatedAt": "2026-09-17T18:05:00.000Z"
},
"relationships": {
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d627ad9bc302511c4f2c115"
}
},
"cardPayment": {
"data": {
"type": "cardPayment",
"id": "cpy_019d0a1b2c3d4e5f60718293a4b5c6d8"
}
},
"voiceSession": {
"data": null
}
}
}
],
"meta": {
"pagination": {
"hasMore": false,
"nextCursor": null
}
}
}Authorizations
Headers
Query Parameters
Was this page helpful?